ONVIF::Device::Types::AudioOutputConfigurationOptions(3)

NAME
ONVIF::Device::Types::AudioOutputConfigurationOptions

DESCRIPTION
Perl data type class for the XML Schema defined complexType AudioOutputConfigurationOptions from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   OutputTokensAvailable

•   SendPrimacyOptions

•   OutputLevelRange

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::AudioOutputConfigurationOptions
   OutputTokensAvailable => $some_value, # ReferenceToken
   SendPrimacyOptions =>  $some_value, # anyURI
   OutputLevelRange =>  { # ONVIF::Device::Types::IntRange
     Min =>  $some_value, # int
     Max =>  $some_value, # int
   },
 },

AUTHOR
Generated by SOAP::WSDL